%global commit 4677a078f05642296aaf82bb744e88bb6427ff28
%global short %(c=%{commit}; echo ${c:0:10})
%global date 20210429
Name:           libdab
Version:        0.0.0+git.20210429
Release:        1.2
Summary:        DAB decoding library
License:        GPLv2+
Group:          Productivity/Hamradio/Other
URL:            https://github.com/srcejon/dab-cmdline
Source:         https://github.com/srcejon/dab-cmdline/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(fftw3f)
BuildRequires:  zlib-devel
BuildRequires:  faad2-devel

%description
DAB decoding library

%package devel
Summary:        Development files for libdab
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
DAB decoding library

%package palettes
Summary:        Development files for libdab
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description palettes
DAB decoding library

%package doc
Summary:        Documentation for libdab

%description doc
Documentation for Aptdec

%prep
%autosetup
cd library
#mkdir build
#cd build

%build
cd library
%cmake -Wno-dev
%cmake_build

%install
cd library
%cmake_install
cp %{buildroot}/%{_libdir}/libdab_lib.so %{buildroot}/%{_libdir}/libdab.so.0

%files
%{_libdir}/libdab_lib.so
%{_libdir}/libdab.so.0

%files devel
%{_includedir}/*

%files doc
%doc README*

%changelog
* Wed Dec 09 2020 lu3vea@gmail.com - 1.0
- First Fedora spec

